Package: fastqc / 0.11.8+dfsg-2

Metadata

Package Version Patches format
fastqc 0.11.8+dfsg-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
build_xml.patch | (download)

build.xml | 8 5 + 3 - 0 !
1 file changed, 5 insertions(+), 3 deletions(-)

 use debian packaged jars


fastqc.patch | (download)

fastqc | 11 5 + 6 - 0 !
1 file changed, 5 insertions(+), 6 deletions(-)

 ensure proper classpath according to location of debian jars

fix help call.patch | (download)

uk/ac/babraham/FastQC/FastQCMenuBar.java | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 the original way to open help text ends up in an exception
 Setting the explicit file name as well as avoiding the call to
   ClassLoader.getSystemResource
 helps fixing this.  Specifically the later is important, see
   https://lists.debian.org/debian-med/2012/11/msg00073.html


set_configuration_path.patch | (download)

uk/ac/babraham/FastQC/Modules/AdapterContent.java | 4 3 + 1 - 0 !
uk/ac/babraham/FastQC/Modules/ModuleConfig.java | 3 2 + 1 - 0 !
uk/ac/babraham/FastQC/Sequence/Contaminant/ContaminentFinder.java | 5 3 + 2 - 0 !
3 files changed, 8 insertions(+), 4 deletions(-)

 use config in debian etc dirs instead of embedding data in jar
adapt_to_htslib.patch | (download)

uk/ac/babraham/FastQC/Sequence/BAMFile.java | 13 7 + 6 - 0 !
1 file changed, 7 insertions(+), 6 deletions(-)

 path to samtools changed when switching from libsam-java
 to libhtsjdk-java


drop fast5.patch | (download)

fastqc | 11 0 + 11 - 0 !
uk/ac/babraham/FastQC/Sequence/Fast5File.java | 107 0 + 107 - 0 !
uk/ac/babraham/FastQC/Sequence/SequenceFactory.java | 6 3 + 3 - 0 !
3 files changed, 3 insertions(+), 121 deletions(-)

 hdf5 1.10 is about to transition into unstable, and unfortunately
 a FastQC build-dependency, libsis-jhdf5-java, doesn't support this new
 release yet, and we have no information about its upstream schedule
 wrt HDF5 1.10.
 .
 libsis-jhdf5-java is required only to support fast5 files from nanopore
 sequences.
 .
 Since these files can easily be converted to FastQ format using
 poretools, I propose to temporarily drop fast5 support from FastQC
 to avoid a removal from testing.

htsjdk api.patch | (download)

uk/ac/babraham/FastQC/Sequence/BAMFile.java | 17 10 + 7 - 0 !
1 file changed, 10 insertions(+), 7 deletions(-)

 use correct samreader api
java 9.patch | (download)

build.xml | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 set java 9 as build target
 No idea whether this has some influence finally but trying to get rid
 of this warning
    [javac] Using javac -source 1.5 is no longer supported, switching to 1.7
    [javac] Using javac -target 1.5 is no longer supported, switching to 1.7
 is intended by this patch.